package cn.teammodel.model.entity.appraise;

import cn.teammodel.model.entity.BaseItem;
import com.azure.spring.data.cosmos.core.mapping.Container;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 评价列表
 * @author winter
 * @create 2023-11-20 11:04
 */
@EqualsAndHashCode(callSuper = true)
@Container(containerName = "School")
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Appraise extends BaseItem {
    /**
    * 学校 Id
    */
    private String schoolId;
    /**
    * 学段 id (默认 default, 模板为 template)
    */
    private String periodId;
    /**
    * 评价树的扁平化节点
    */
    private List<AppraiseTreeNode> nodes;
    /**
    * 成就等级节点
    */
    private List<AchievementRule> achievementRules;
}
