package cn.teammodel.model.entity.school;

import com.azure.spring.data.cosmos.core.mapping.Container;
import com.azure.spring.data.cosmos.core.mapping.PartitionKey;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import org.springframework.data.annotation.Id;

import java.util.List;


@Data
@Container(containerName = "Student")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Student {
    @Id
    private String	id;
    @PartitionKey
    private String	code;
    private String	mail;
    private String	mobile;
    private String	country;
    private String	name;
    private String	picture;
    private String	schoolId;
    private String	pw;
    private String	salt;
    private Integer	year;
    private String	no;
    private String	irs;
    private String	classId;
    private String	groupId;
    private String	groupName;
    private String	periodId;
    private String	gender;
    private Integer	graduate;
    private List<LoginInfo>	loginInfos;
    private Long	createTime;
    //private List<String> guardians;
    private String	pk;

    @Data
    public static class LoginInfo {
        private Long time;
        private String ip;
        private Long expire;
    }
}

